Bug 427512 - Review Request: hunspell-ta - Tamil hunspell dictionaries
Review Request: hunspell-ta - Tamil hunspell dictionaries
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-04 05:59 EST by Parag Nemade
Modified: 2008-01-07 02:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 02:15:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2008-01-04 05:59:37 EST
Spec URL: http://paragn.fedorapeople.org/hunspell/hunspell-ta.spec
SRPM URL: http://paragn.fedorapeople.org/hunspell/hunspell-ta-20060222-1.fc8.src.rpm
Description: Tamil hunspell dictionaries
Comment 1 Parag Nemade 2008-01-05 23:44:38 EST
Updated links with adding Copyright file
Spec URL: http://paragn.fedorapeople.org/hunspell/hunspell-ta.spec
SRPM URL: http://paragn.fedorapeople.org/hunspell/hunspell-ta-20060222-2.fc8.src.rpm
Comment 2 Jason Tibbitts 2008-01-06 21:59:18 EST
I don't see any mention of the GPL version in use; how did you determine that
the file is under GPLv2+?  It seems that without any explicit mention, GPL+ is
appropriate.

Otherwise this package is fine.  The issue is pretty minor; I'll go ahead and
approve this package and you can double check the GPL version when you check in.

* source files match upstream:
   c3ff9fe4f17dc204c983ee62add444342be5d6b1ff306ab2c6e47711b707b3b8  
   ta-demo.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
? license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none)
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   hunspell-ta = 20060222-2.fc9
  =
   hunspell
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* acceptable content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 3 Parag Nemade 2008-01-06 22:12:48 EST
tibbs,
   I determined version based on COPYING file. I got confused on 2 license files
and took COPYING as main license file.
Comment 4 Parag Nemade 2008-01-06 22:39:14 EST
Thanks tibbs for review. 
Will make License tag to GPL+ while cvs import.

New Package CVS Request
=======================
Package Name: hunspell-ta
Short Description: Tamil hunspell dictionaries
Owners: pnemade
Branches: F-8
InitialCC: 
Cvsextras Commits: yes
Comment 5 Jens Petersen 2008-01-07 00:51:59 EST
cvs admin done
Comment 6 Parag Nemade 2008-01-07 02:15:17 EST
Built for devel and F-8 successfully.
Thanks to tibbs and Jens.

Note You need to log in before you can comment on or make changes to this bug.